<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMASSETEditView9Base from './emassetedit-view9-base.vue';

import view_form from '@widgets/emasset/main2-form/main2-form.vue';

/**
 * 资产信息
 *
 * @export
 * @class EMASSETEditView9
 * @extends {EMASSETEditView9Base}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMASSETEditView9 extends EMASSETEditView9Base { }
</script>